//
//  ViximoApp.h
//  ViximoMobileTestApp
//
//  Created by Jonathan Klein on 1/12/12.
//  Copyright (c) 2012 None. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ViximoResource.h"

/**
 * A class representing information about your app on the Viximo network.
 */

@interface ViximoApp : ViximoResource {
  NSString*     name;
  NSString*     object_id;
  NSString*     api_key;
}

/**
 * The name of the app as it is known by the Viximo SDK.
 */
@property (nonatomic, retain) NSString *name;

/**
 * The API key used to initialize this application.
 */
@property (nonatomic, retain) NSString *api_key;

/**
 * The unique ID of this app.
 */
@property (nonatomic, retain) NSString *object_id;

@end

