//
//  ViximoInvite.h
//  ViximoMobileTestApp
//
//  Created by Aaron Pfeifer on 4/2/12.
//  Copyright (c) 2012 None. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ViximoResource.h"

/**
 * An invite from the Viximo SDK.  Invites are used to bring the user's friends
 * into the game.
 * 
 * See [Viximo invite:callback:] for more information on sending invites.
 */

@interface ViximoInvite : ViximoResource {
  int     recipient_count;
}

/**
 * The number of recipients that were invited.
 */
@property (nonatomic, assign) int recipient_count;


@end

